osl::eval::ml::King8EffectEmptySquare< Opening > Class Template Reference

`#include <king8.h>`

Inheritance diagram for osl::eval::ml::King8EffectEmptySquare< Opening >:

## Static Public Member Functions

static void | setUp (const Weights &weights)
static const CArray< int, 2 > | eval (const NumEffectState &state)
static const CArray< int, 2 > | evalWithUpdate (const NumEffectState &new_state, Move last_move, const CArray< int, 2 > &last_value)
Static Public Member Functions inherited from osl::eval::ml::King8EffectBase
template<class MakeEffectState>
static const CArray< int, 2 > | evalCommon (const NumEffectState &state, const table_t &)
template<class MakeEffectState>
static const CArray< int, 2 > | evalWithUpdateCommon (const NumEffectState &new_state, Move last_move, const CArray< int, 2 > &last_value, const table_t &)
template<class MakeEffectState>
static std::pair< CArray< int, 2 >, CArray< int, 2 > > | evalWithUpdateCommon (const NumEffectState &new_state, Move last_move, const CArray< int, 2 > &last_value_opening, const CArray< int, 2 > &last_value_ending, const table_t &, const table_t &)

## Static Private Attributes

static table_t | table

## Friends

class | King8EffectEmptySquareBoth

## Additional Inherited Members

Public Types inherited from osl::eval::ml::King8EffectBase
enum | { DIM = 32 }
enum | EffectState { NOT_EMPTY = -1 , NO_EFFECT = 0 , LESS_EFFECT , MORE_EFFECT , MORE_EFFECT_KING_ONLY }
typedef CArray< int, 32 > | table_t
Public Member Functions inherited from osl::eval::ml::King8EffectBase
template<class MakeEffectState>
const osl::CArray< int, 2 > | evalCommon (const NumEffectState &state, const table_t &table)
template<class MakeEffectState>
const osl::CArray< int, 2 > | evalWithUpdateCommon (const NumEffectState &new_state, Move last_move, const CArray< int, 2 > &last_value, const table_t &table)
template<class MakeEffectState>
std::pair< osl::CArray< int, 2 >, osl::CArray< int, 2 > > | evalWithUpdateCommon (const NumEffectState &new_state, Move last_move, const CArray< int, 2 > &last_value_o, const CArray< int, 2 > &last_value_e, const table_t &table_o, const table_t &table_e)
Static Protected Member Functions inherited from osl::eval::ml::King8EffectBase
static int | index (const Direction dir, EffectState state)

## Detailed Description

template<bool Opening>
class osl::eval::ml::King8EffectEmptySquare< Opening >

Definition at line 85 of file core/osl/eval/king8.h.

## Member Function Documentation

## eval()

template<bool Opening>

const osl::CArray< int, 2 > osl::eval::ml::King8EffectEmptySquare< Opening >::eval | ( | const NumEffectState & | state | ) |

static

Definition at line 321 of file king8.cc.

References osl::eval::ml::King8EffectBase::evalCommon(), and table.

## evalWithUpdate()

template<bool Opening>

const osl::CArray< int, 2 > osl::eval::ml::King8EffectEmptySquare< Opening >::evalWithUpdate | ( | const NumEffectState & | new_state,
|  | Move | last_move,
|  | const CArray< int, 2 > & | last_value )

static

Definition at line 327 of file king8.cc.

References osl::eval::ml::King8EffectBase::evalWithUpdateCommon(), and table.

## setUp()

template<bool Opening>

void osl::eval::ml::King8EffectEmptySquare< Opening >::setUp | ( | const Weights & | weights | ) |

static

Definition at line 310 of file king8.cc.

References osl::eval::ml::Weights::dimension(), table, and osl::eval::ml::Weights::value().

## Friends And Related Symbol Documentation

## King8EffectEmptySquareBoth

template<bool Opening>

friend class King8EffectEmptySquareBoth

friend

Definition at line 87 of file core/osl/eval/king8.h.

References King8EffectEmptySquareBoth.

Referenced by King8EffectEmptySquareBoth.

## Member Data Documentation

## table

template<bool Opening>

osl::CArray< int, 32 > osl::eval::ml::King8EffectEmptySquare< Opening >::table

static private

Definition at line 88 of file core/osl/eval/king8.h.

Referenced by eval(), evalWithUpdate(), osl::eval::ml::King8EffectEmptySquareBoth::evalWithUpdate(), and setUp().

The documentation for this class was generated from the following files:

- core/osl/eval/king8.h
- king8.cc